import processing.video.*;

// Class Code Set 20
// Revised for Processing 2.0

// Video Test #1
// Modified from Daniel Shiffman's Processing - Chaper 16

// Shows how to use the video.



Capture video;

int x, y, dX, dY;

// CHANGE THIS TO false TO TRANSLATE AND ROTATE THE IMAGE
final boolean ROTATE = false;

void setup()
{
   size( 640, 480 );
   String[] cameras = Capture.list();
  
  if (cameras.length == 0) 
  {
    println("There are no cameras available for capture.");
    exit();
  } else 
  {
    println("Available cameras:");
    for (int i = 0; i < cameras.length; i++) 
    {
      println(cameras[i]);
    }
    
    // The camera can be initialized directly using an 
    // element from the array returned by list():
    video = new Capture(this, cameras[0]);
    video.start();     
  }      
}

void draw( )
{
  background( 0 );
  if( video.available( )  )
  {
     video.read( );
  }
  
  if ( ROTATE == true)
  {
    translate( width/2, height/2);

    rotate( radians( frameCount*.1) ) ;
    image( video, -width/2, -height/2, width, height);
  }
  else
  {
    image( video, 0, 0, width, height);
  }
  
  stroke( 255 );
  line( -10, -10, 10, 10 );
  line( -10, 10, 10, -10 );

}
