// Class Code Set 20



// Modified from Daniel Shiffman's Processing - Chaper 16
import processing.video.*;

final int MAX = 10;

Capture video;

Square [ ] array;


void setup( )
{
   size( screen.width, screen.height );
  
   array = new Square[ MAX ];
   initArray( );
   video = new Capture( this, 160, 120, 15 );
   
   background( 0 );
}

void draw( )
{
   background( 0 );
   moveAndDrawAll( );
}

void moveAndDrawAll( )
{
  for ( int i = 0; i < array.length; i++)
  {
     array[i].move();
     array[i].draw( );
   }  
}

void initArray( )
{
   for ( int i = 0; i < array.length; i++)
  {
     array[i] = new Square( );
     array[i].setup();
   } 
}

void keyPressed( )
{
      initArray( );   
}
