import processing.video.*;

// Class Code Set 21
// From Daniel Shiffman's Processing - Chaper 16

// Converts video coler image to gray scale

// Modified for Processing 2.0

Capture video;


void setup()
{
   size( 640, 480 );
  
    String[] cameras = Capture.list();
  
  if (cameras.length == 0) 
  {
    println("There are no cameras available for capture.");
    exit();
  } 
  
  video = new Capture(this, width, height);
  video.start();     
 
  strokeWeight( 4.0 );
  stroke( 0 ); 
  
  loadPixels( ); 
}

void draw( )
{
   
  if( video.available( )  )
  {
    video.read( );
    video.loadPixels();
     
    for( int i = 0; i < video.pixels.length; i++)
    {
        color vidColor = video.pixels[i];
        float r = red(vidColor);
        float g = green(vidColor);
        float b = blue(vidColor);
        float average = (r+g+b)/3;
        pixels[i] = color( average );
    }
  
    updatePixels( );
  }
}
